Main Page Class List Class Members

# NvBlastGraphShaderActor Struct Reference

`#include <NvBlastTypes.h>`

List of all members.

## Public Attributes
uint32_t | actorIndex
| Actor's index.
const uint32_t * | adjacencyPartition
| See NvBlastSupportGraph::adjacencyPartition.
const uint32_t * | adjacentBondIndices
| See NvBlastSupportGraph::adjacentBondIndices.
const uint32_t * | adjacentNodeIndices
| See NvBlastSupportGraph::adjacentNodeIndices.
const NvBlastBond * | assetBonds
| NvBlastBonds geometry in the NvBlastAsset.
const NvBlastChunk * | assetChunks
| NvBlastChunks geometry in the NvBlastAsset.
uint32_t | assetNodeCount
| Asset node count.
const uint32_t * | chunkIndices
| Graph's map from node index to support chunk index.
const float * | familyBondHealths
| Actual bond health values for broken bond detection.
uint32_t | firstGraphNodeIndex
| Entry index for graphNodeIndexLinks.
uint32_t | graphNodeCount
| Actor's graph node count.
const uint32_t * | graphNodeIndexLinks
| Linked index list of connected nodes. Traversable with nextIndex = graphNodeIndexLinks[currentIndex], terminates with 0xFFFFFFFF.
const uint32_t * | nodeActorIndices
| Family's map from node index to actor index.
const float * | supportChunkHealths
| Actual chunk health values for dead chunk detection.

## Detailed Description

A single actor's representation used by NvBlastGraphShaderFunction.

## Member Data Documentation

uint32_t NvBlastGraphShaderActor::actorIndex

Actor's index.

const uint32_t* NvBlastGraphShaderActor::adjacencyPartition

See NvBlastSupportGraph::adjacencyPartition.

const uint32_t* NvBlastGraphShaderActor::adjacentBondIndices

See NvBlastSupportGraph::adjacentBondIndices.

const uint32_t* NvBlastGraphShaderActor::adjacentNodeIndices

See NvBlastSupportGraph::adjacentNodeIndices.

const NvBlastBond* NvBlastGraphShaderActor::assetBonds

NvBlastBonds geometry in the NvBlastAsset.

const NvBlastChunk* NvBlastGraphShaderActor::assetChunks

NvBlastChunks geometry in the NvBlastAsset.

uint32_t NvBlastGraphShaderActor::assetNodeCount

Asset node count.

const uint32_t* NvBlastGraphShaderActor::chunkIndices

Graph's map from node index to support chunk index.

const float* NvBlastGraphShaderActor::familyBondHealths

Actual bond health values for broken bond detection.

uint32_t NvBlastGraphShaderActor::firstGraphNodeIndex

Entry index for graphNodeIndexLinks.

uint32_t NvBlastGraphShaderActor::graphNodeCount

Actor's graph node count.

const uint32_t* NvBlastGraphShaderActor::graphNodeIndexLinks

Linked index list of connected nodes. Traversable with nextIndex = graphNodeIndexLinks[currentIndex], terminates with 0xFFFFFFFF.

const uint32_t* NvBlastGraphShaderActor::nodeActorIndices

Family's map from node index to actor index.

const float* NvBlastGraphShaderActor::supportChunkHealths

Actual chunk health values for dead chunk detection.

The documentation for this struct was generated from the following file:

- sdk/lowlevel/include/NvBlastTypes.h